#include <RH_ASK.h>

class Receiver{
	void (*_messageCallback)(char *);
	RH_ASK _driver;
	unsigned int _bufferSize;

public:
	Receiver(void(*messageCallback)(char*), unsigned int bufferSize){
		_messageCallback = messageCallback;
		_bufferSize = bufferSize;
	}

	bool setup(){
		return _driver.init();
	}

	void loop() {
		uint8_t message[_bufferSize];
		uint8_t length = sizeof(message);
		if (_driver.recv(message, &length))
			_messageCallback((char *)message);
	}
};